#ifndef XMATERIALVERTEXSTREAMROUTING_H
#define XMATERIALVERTEXSTREAMROUTING_H

#include "xasset.h"
#include "xmaterialstreamrouting.h"
#include "xd3dvertexdeclaration.h"

class XMaterialVertexStreamRouting : public XAsset
{
public:
    XMaterialVertexStreamRouting();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XMaterialStreamRouting mData[16];
    XD3DVertexDeclaration mDecl[15];
};

#endif // XMATERIALVERTEXSTREAMROUTING_H
